Bug 1023896 - [ovirt-engine-backend] NullPointerException when trying to update DC name and description
[ovirt-engine-backend] NullPointerException when trying to update DC name and...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.4.0
x86_64 Linux
urgent Severity urgent
: ---
: 3.4.0
Assigned To: Eli Mesika
Pavel Stehlik
infra
: AutomationBlocker, Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-28 05:26 EDT by Kiril Nesenko
Modified: 2016-02-10 14:18 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-12 07:47:17 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
logs (1.55 MB, application/x-bzip)
2013-10-28 05:26 EDT, Kiril Nesenko
no flags Details

  None (edit)
Description Kiril Nesenko 2013-10-28 05:26:21 EDT
Created attachment 816737 [details]
logs

Description of problem:

NullPointerException when trying to update DC name and description


2013-10-28 11:05:32,136 - MainThread - plmanagement.error_fetcher - ERROR - Errors fetched from VDC(jenkins-automation-rpm-vm30.eng.lab.tlv.redhat.com): 2013-10-28 11:05:31,882 ERROR [org.ovirt.engine.api.restapi.resource.AbstractBackendResource] (ajp-/127.0.0.1:8702-7) Operation Failed: null: java.lang.NullPointerException
	at org.ovirt.engine.api.restapi.resource.BackendResource.setJobLink(BackendResource.java:182) [restapi-jaxrs.jar:]
	at org.ovirt.engine.api.restapi.resource.BackendResource.performAction(BackendResource.java:162) [restapi-jaxrs.jar:]
	at org.ovirt.engine.api.restapi.resource.BackendResource.performAction(BackendResource.java:151) [restapi-jaxrs.jar:]
	at org.ovirt.engine.api.restapi.resource.AbstractBackendSubResource.doUpdate(AbstractBackendSubResource.java:93) [restapi-jaxrs.jar:]
	at org.ovirt.engine.api.restapi.resource.AbstractBackendSubResource.performUpdate(AbstractBackendSubResource.java:82) [restapi-jaxrs.jar:]
	at org.ovirt.engine.api.restapi.resource.BackendDataCenterResource.update(BackendDataCenterResource.java:44) [restapi-jaxrs.jar:]
	at org.ovirt.engine.api.restapi.resource.BackendDataCenterResource.update(BackendDataCenterResource.java:26) [restapi-jaxrs.jar:]
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method) [rt.jar:1.7.0_45]
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57) [rt.jar:1.7.0_45]
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43) [rt.jar:1.7.0_45]
	at java.lang.reflect.Method.invoke(Method.java:606) [rt.jar:1.7.0_45]
	at org.jboss.resteasy.core.MethodInjectorImpl.invoke(MethodInjectorImpl.java:167) [resteasy-jaxrs.jar:2.3.7.Final-redhat-2]
	at org.jboss.resteasy.core.ResourceMethod.invokeOnTarget(ResourceMethod.java:269) [resteasy-jaxrs.jar:2.3.7.Final-redhat-2]
	at org.jboss.resteasy.core.ResourceMethod.invoke(ResourceMethod.java:227) [resteasy-jaxrs.jar:2.3.7.Final-redhat-2]
	at org.jboss.resteasy.core.ResourceLocator.invokeOnTargetObject(ResourceLocator.java:159) [resteasy-jaxrs.jar:2.3.7.Final-redhat-2]
	at org.jboss.resteasy.core.ResourceLocator.invoke(ResourceLocator.java:92) [resteasy-jaxrs.jar:2.3.7.Final-redhat-2]
	at org.jboss.resteasy.core.SynchronousDispatcher.getResponse(SynchronousDispatcher.java:542) [resteasy-jaxrs.jar:2.3.7.Final-redhat-2]
	at org.jboss.resteasy.core.SynchronousDispatcher.invoke(SynchronousDispatcher.java:524) [resteasy-jaxrs.jar:2.3.7.Final-redhat-2]
	at org.jboss.resteasy.core.SynchronousDispatcher.invoke(SynchronousDispatcher.java:126) [resteasy-jaxrs.jar:2.3.7.Final-redhat-2]
	at org.jboss.resteasy.plugins.server.servlet.ServletContainerDispatcher.service(ServletContainerDispatcher.java:208) [resteasy-jaxrs.jar:2.3.7.Final-redhat-2]
	at org.jboss.resteasy.plugins.server.servlet.HttpServletDispatcher.service(HttpServletDispatcher.java:55) [resteasy-jaxrs.jar:2.3.7.Final-redhat-2]
	at org.jboss.resteasy.plugins.server.servlet.HttpServletDispatcher.service(HttpServletDispatcher.java:50) [resteasy-jaxrs.jar:2.3.7.Final-redhat-2]
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:847) [jboss-servlet-api_3.0_spec.jar:1.0.2.Final-redhat-1]
	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:295) [jbossweb.jar:7.2.2.Final-redhat-1]
	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:214) [jbossweb.jar:7.2.2.Final-redhat-1]
	at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:230) [jbossweb.jar:7.2.2.Final-redhat-1]
	at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:149) [jbossweb.jar:7.2.2.Final-redhat-1]
	at org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:499) [jbossweb.jar:7.2.2.Final-redhat-1]
	at org.jboss.as.web.security.SecurityContextAssociationValve.invoke(SecurityContextAssociationValve.java:169) [jboss-as-web.jar:7.3.0.Final-redhat-8]
	at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:145) [jbossweb.jar:7.2.2.Final-redhat-1]
	at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:97) [jbossweb.jar:7.2.2.Final-redhat-1]
	at org.jboss.web.rewrite.RewriteValve.invoke(RewriteValve.java:466) [jbossweb.jar:7.2.2.Final-redhat-1]
	at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:102) [jbossweb.jar:7.2.2.Final-redhat-1]
	at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:336) [jbossweb.jar:7.2.2.Final-redhat-1]
	at org.apache.coyote.ajp.AjpProcessor.process(AjpProcessor.java:488) [jbossweb.jar:7.2.2.Final-redhat-1]
	at org.apache.coyote.ajp.AjpProtocol$AjpConnectionHandler.process(AjpProtocol.java:420) [jbossweb.jar:7.2.2.Final-redhat-1]
	at org.apache.tomcat.util.net.JIoEndpoint$Worker.run(JIoEndpoint.java:920) [jbossweb.jar:7.2.2.Final-redhat-1]
	at java.lang.Thread.run(Thread.java:744) [rt.jar:1.7.0_45]

Version-Release number of selected component (if applicable):
1955b0770364d81b189bcc581eccde01a0138321

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 3 Eli Mesika 2013-11-05 07:57:21 EST
Can not reproduce :

Sending the following as PUT request 

http://localhost.localdomain:8080/api/datacenters/5849b030-626e-47cb-ad90-3ce782d831b3

<data_center>
    <name>RestDataCenterUpdated</name>
    <description>Data Center Description</description>
</data_center>

Getting a successful result :

<data_center href= "/api/datacenters/5849b030-626e-47cb-ad90-3ce782d831b3" id="5849b030-626e-47cb-ad90-3ce782d831b3">
<name>RestDataCenterUpdated</name>
<description>Data Center Description</description>
<link href= "/api/datacenters/5849b030-626e-47cb-ad90-3ce782d831b3/storagedomains" rel="storagedomains"/>
<link href= "/api/datacenters/5849b030-626e-47cb-ad90-3ce782d831b3/clusters" rel="clusters"/>
<link href= "/api/datacenters/5849b030-626e-47cb-ad90-3ce782d831b3/permissions" rel="permissions"/>
<link href= "/api/datacenters/5849b030-626e-47cb-ad90-3ce782d831b3/quotas" rel="quotas"/>
<storage_type>nfs</storage_type>
<version major="3" minor="3"/>
<supported_versions>
<version major="3" minor="3"/>
</supported_versions>
<status>
<state>uninitialized</state>
</status>
</data_center

Note You need to log in before you can comment on or make changes to this bug.